Subject: [psg.com #250] Reception of prefix option with prefix length > 64

From: [email-masked]
Date: Thu, 23 Sep 2004 18:57:22 +0000

Folks, 

This is now an old issue and no one objected to
the resolution below. In addition, a few people seem
to be against explicitly restricting the prefix to 64
bits in the specification. So I'm closing this 
issue with the resolution shown below.

Hesham

> [[email-masked] - Tue Jul 20 10:02:35 2004]:
> 
> This issue was discussed in some detail.
> 
> I've done the following:
> 
> - Clarified the prefix length field in 4.6.2
> - Added clarifications to the second last paragraph in 
>    6.3.4.
> 
> Text in 4.6.2:
> 
> Prefix Length  8-bit unsigned integer. The number of leading bits
>                      in the Prefix that are valid.  The value ranges
>                      from 0 to 128. The prefix length field provides
>                      necessary information for on-link determination
>                      (when combined with other flags in the prefix
>                      option).  It also assists with address
>                      autoconfiguration as specified in [ADDRCONF], for
>                      which there may be more restrictions on the prefix
>                      length.
> 
> 
> Text in 6.3.4: 
> 
>    Stateless address autoconfiguration [ADDRCONF] may in some
>    circumstances increase the Valid Lifetime of a prefix or ignore it
>    completely in order to prevent a particular denial of service attack.
>    However, since the effect of the same denial of service targeted at
>    the on-link prefix list is not catastrophic (hosts would send packets
>    to a default router and receive a redirect rather than sending
>    packets directly to a neighbor) the Neighbor Discovery protocol does
>    not impose such a check on the prefix lifetime values. Similarly,
>    [ADDRCONF] may impose certain restrictions on the prefix length for
>    address configuration purposes. Therefore, the prefix might be
>    rejected by [ADDRCONF] implementation in the host. However, the
>    prefix length is still valid for on-link determination when
combined     
>    with other flags in the prefix option.
> 
> 
> Currently there is no text that limits the prefix length
> to 64 if the A flag is set (as recommended by the IAB). 
> I'd like to hear from the WG if this should be added.
> 
> Hesham
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: [email-masked]
Date: Thu, 23 Sep 2004 18:57:21 +0000

Folks, 

Hesham

combined